<?php
/**
 * P133 JSONフォーマットのPOSTを受け付けるAPIモックサーバ
 * file_get_contents()関数のポイント
 */
$context = stream_context_create([
  'http' => [
    'method' => 'POST',
    'header' => 'Content-Type: application/json',
    'content' => '{"memo": "json-post-memo"}',
  ],
]);
$response = file_get_contents('http://localhost:8000/memo', false, $context);
var_dump(json_decode($response, true));
